org.appng.xml.platform

## Class Datafield

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Datafield

- All Implemented Interfaces:
    Serializable

      public class Datafield
      extends BaseObject
      implements Serializable

  For each `FieldDef`inition of a `Datasource`'s `MetaData`, a `Datafield` is being added to the `Result`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Datafield>` | `fields`
    `protected List<Icon>` | `icons`
    `protected String` | `name`
    `protected FieldType` | `type`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Datafield()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Datafield>` | `getFields()` Gets the value of the fields property.
    `List<Icon>` | `getIcons()` Gets the value of the icons property.
    `String` | `getName()` The name of the datafield.
    `FieldType` | `getType()` The `FieldType` of the datafield.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(FieldType value)` Sets the value of the type property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          protected List<Datafield> fields

    - #### value

          protected String value

    - #### icons

          protected List<Icon> icons

    - #### name

          protected String name

    - #### type

          protected FieldType type

  - ### Constructor Detail

    - #### Datafield

          public Datafield()

  - ### Method Detail

    - #### getFields

          public List<Datafield> getFields()

      Gets the value of the fields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fields property.

      For example, to add a new item, do as follows:

              getFields().add(newItem);

      Objects of the following type(s) are allowed in the list `Datafield`

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIcons

          public List<Icon> getIcons()

      Gets the value of the icons property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icons property.

      For example, to add a new item, do as follows:

              getIcons().add(newItem);

      Objects of the following type(s) are allowed in the list `Icon`

    - #### getName

          public String getName()

      The name of the datafield.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public FieldType getType()

      The `FieldType` of the datafield.
      Returns:
        possible object is `FieldType`

    - #### setType

          public void setType(FieldType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `FieldType`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.